<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<project>
  <pomVersion>3</pomVersion>
  <groupId>marevol</groupId>
  <id>marevol-hibernate-utils</id>
  <name>Hibernate Utils</name>
  <currentVersion>0.3</currentVersion>
  <organization>
    <name>marevol.com</name>
    <url>http://www.marevol.com/</url>
  </organization>
  <inceptionYear>2000</inceptionYear>
  <package>com.marevol.utils.hibernate</package>
  <description>Hibernate useful utitlity provided by marevol.com</description>
  <shortDescription>Hibernate useful utitlity</shortDescription>
  <url>http://www.marevol.com/</url>

  <mailingLists/>

  <developers>
    <developer>
      <name>Shinsuke Sugaya</name>
      <id>shinsuke</id>
      <email>shinsuke@users.sourceforge.jp</email>
      <organization>marevol.com</organization>
      <roles>
        <role>Java Developer</role>
      </roles>
      <timezone>+9</timezone>
    </developer>

  </developers>

  <dependencies>
    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.0.4</version>
      <url>http://jakarta.apache.org/commons/logging.html</url>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>

    <dependency>
      <id>servletapi</id>
      <version>2.3</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <groupId>portlet-api</groupId>
      <artifactId>portlet-api</artifactId>
      <version>1.0</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>

    <dependency>
      <groupId>hibernate</groupId>
      <artifactId>hibernate</artifactId>
      <version>3.0.5</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>

    <dependency>
      <groupId>myfaces</groupId>
      <artifactId>myfaces-all</artifactId>
      <version>1.1.1</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>

    <dependency>
      <groupId>seasar</groupId>
      <artifactId>s2-extension</artifactId>
      <version>2.2.11</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <groupId>seasar</groupId>
      <artifactId>s2-framework</artifactId>
      <version>2.2.11</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <groupId>seasar</groupId>
      <artifactId>s2-hibernate</artifactId>
      <version>1.1.1</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>

  </dependencies>
  <!-- build information for the project -->

  <build>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>
    <unitTest>
      <includes>
        <include>**/*Test.java</include>
      </includes>
      <excludes>
        <exclude>**/NaughtyTest.java</exclude>
      </excludes>
    </unitTest>
    <resources>
      <resource>
        <directory>src/java</directory>
        <includes>
          <include>**/*.properties</include>
        </includes>
      </resource>
    </resources>
  </build>
</project>
